#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>
#include "tinyxml2.h"

extern "C" int LLVMFuzzerTestOneInput(uint8_t * Fuzz_Data, size_t Fuzz_Size){
    if (Fuzz_Size < sizeof(unsigned int)) return 0;
    uint8_t * pos = Fuzz_Data;
    unsigned int errorID_enum_index; 
    memcpy(&errorID_enum_index, pos, sizeof(unsigned int));
    enum tinyxml2::XMLError errorID = static_cast<enum tinyxml2::XMLError>(errorID_enum_index % 20);
    tinyxml2::XMLDocument futag_target;    //METHOD CALL
    futag_target.ErrorIDToName(errorID );
    return 0;
}
